> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pubrio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# モニタープロ���ス試行

> id を指定して保存済みモニターを実行するか、設定をインラインで渡して未保存のアドホック設定を実行します。monitor_id を指定した場合、インラインのフィールドはこの実行に限り保存済みモニターの設定を上書きします。



## OpenAPI

````yaml jp-openapi POST /monitors/process/try
openapi: 3.0.0
info:
  description: >-
    Pubrio API
    はマーケット拡大インテリジェンスを提供します——企業の新市場参入を捉えるリアルタイムシグナルと、その基盤となる企業・人物データ。アカウントやコンタクトの検索・ルックアップ・エンリッチメントに加え、200+
    市場にわたる種別・日付付きの動きシグナルを購読できます。
  version: 1.0.0
  title: Pubrio OpenAPI
  termsOfService: https://pubrio.com/ja/terms-of-service
  contact:
    email: king.lai@pubrio.com
    name: King Lai
    url: https://pubrio.com/ja/get-in-touch
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.pubrio.com
security:
  - pubrio_api_key: []
tags:
  - name: Profile
    description: ワークスペースプロフィール情報と使用統計
  - name: Enrichment
    description: 詳細なB2Bデータで人物・企業レコードをエンリッチメント
  - name: Lookalike
    description: 指定した企業に類似する企業を検索
  - name: Search
    description: フィルターを使用して人物、企業、求人、ニュース、広告を検索
  - name: Lookup
    description: 特定の人物、企業、求人、ニュース、広告、テクノロジーの詳細情報を検索
  - name: LinkedIn
    description: LinkedInプロフィールURLから人物・企業データを検索
  - name: Redeem
    description: クレジットを消費して人物の連絡先情報をアンロック（単件・バッチ）
  - name: Channels
    description: アウトリーチチャネルテンプレートの管理（作成・更新・削除・一覧）
  - name: Monitor
    description: Webhook、統計、処理を含むデータモニターの作成と管理
  - name: Filters
    description: 検索パラメータで使用可能なフィルター値を取得（テクノロジー、地域、バーティカルなど）
  - name: API Keys
    description: APIキーのリクエストログと使用状況分析を表示
  - name: Insights
    description: 企業のシグナル集計インサイト(採用、ニュース、広告)。
  - name: Export
    description: 一括データエクスポート(クレジット消費)。
  - name: Expansion
    description: '企業の市場拡大インテリジェンス: シグナル、ステージ、市場、エクスポート。'
externalDocs:
  description: >-
    Pubrio API は、コンタクトおよびアカウント情報の検索・プレビュー・エンリッチメントに利用できます。Pubrio データベースは、豊富な B2B
    連絡先データとセールスインテリジェンスを提供します。
  url: https://docs.pubrio.com
paths:
  /monitors/process/try:
    post:
      tags:
        - Monitor
      summary: モニター処理のテスト実行
      description: >-
        id を指定して保存済みモニターを実行するか、設定をインラインで渡して未保存のアドホック設定を実行します。monitor_id
        を指定した場合、インラインのフィールドはこの実行に限り保存済みモニターの設定を上書きします。
      operationId: monitors_process_try
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                monitor_id:
                  type: string
                  format: uuid
                  description: オプション。トリガーする保存済みモニターの一意識別子。省略すると、インラインで渡した未保存のアドホック設定を実行します。
                tried_at:
                  type: string
                  format: date-time
                  description: >-
                    スキャンの基準点として使用するタイムスタンプ。テスト時にデータが利用可能であることを確認するため、最近の過去の日付を使用してください。現在時刻を使用すると結果が0件になる場合があります。
                name:
                  type: string
                  description: 実行設定の名前。
                detection_mode:
                  type: string
                  enum:
                    - company_first
                    - signal_first
                  description: この実行の検出モード。
                signal_types:
                  type: array
                  items:
                    type: string
                  description: スキャンするシグナルタイプ（jobs、news、advertisements、expansions）。
                signal_filters:
                  type: array
                  items:
                    type: object
                  description: シグナルタイプごとのフィルターオブジェクト。モニター作成（Create Monitor）と同じ形式です。
                company_filters:
                  type: object
                  description: グローバルな企業フィルター。企業検索（Company Search）と同じパラメータです。
                companies:
                  type: array
                  items:
                    type: string
                    format: uuid
                  description: スキャンする企業の domain_search_id（UUID）。
                domains:
                  type: array
                  items:
                    type: string
                  description: スキャンする企業ドメイン。企業に解決されます。
                linkedin_urls:
                  type: array
                  items:
                    type: string
                    format: uri
                  description: スキャンする LinkedIn 企業 URL。企業に解決されます。
                is_company_enrichment:
                  type: boolean
                  description: 結果の企業データをエンリッチメントするかどうか。
                is_people_enrichment:
                  type: boolean
                  description: 結果の人物データをエンリッチメントするかどうか。
                people_enrichment_configs:
                  type: array
                  items:
                    type: object
                  description: 人物エンリッチメントのレイヤー。モニター作成（Create Monitor）と同じ形式です。
                destination_type:
                  type: string
                  enum:
                    - webhook
                    - email
                    - sequences
                  description: この実行の配信先タイプ。
                destination_config:
                  type: object
                  description: この実行の配信先設定。モニター作成（Create Monitor）と同じ形式です。
                max_records_per_trigger:
                  type: integer
                  description: この実行で配信されるレコードの最大数。
                excluded_companies:
                  type: array
                  items:
                    type: string
                  description: >-
                    この実行で除外する企業（`domain_search_id` UUID）。`excluded_domains` /
                    `excluded_linkedin_urls` も可。
                  example:
                    - 550e8400-e29b-41d4-a716-446655440002
                excluded_domains:
                  type: array
                  items:
                    type: string
                  description: >-
                    除外する企業ドメイン（例：["existing-client.com"]）。企業に解決され
                    `excluded_companies` に統合されます。
                  example:
                    - existing-client.com
                excluded_linkedin_urls:
                  type: array
                  items:
                    type: string
                  description: 除外する LinkedIn 企業 URL。企業に解決され `excluded_companies` に統合されます。
                  example:
                    - https://linkedin.com/company/existing-client
                record_unit:
                  type: string
                  enum:
                    - signal
                    - company
                  description: この実行のレコード単位：`signal` または `company`。
                  example: company
                company_dedupe_days:
                  type: integer
                  minimum: 0
                  description: この実行の企業重複排除ウィンドウ（日）。保存済みモニターのみ（配信履歴を読みます）。
                  example: 30
                is_newest_first:
                  type: boolean
                  description: >-
                    一致したシグナルのうち最新のものから配信します。トリガー毎または日次の上限では最新のレコードが残り、モニターのカーソルは取得した最新行まで進むため、古い行はキューされずスキップされます。デフォルト
                    `false`（古い順、スキップなし）。
                  example: true
      responses:
        '200':
          description: トリガー実行結果を含む成功レスポンスです。
          content:
            application/json:
              schema:
                type: object
                properties:
                  metadata:
                    type: object
                    properties:
                      unresolved:
                        type: object
                        description: >-
                          このリクエストで送った各リストのうち、どの企業にも解決できなかった入力（送らなかったリストは
                          `null`）。修正または削除してください。モニターは解決できた企業で保存済みです。
                        properties:
                          companies:
                            type: object
                            nullable: true
                            properties:
                              domains:
                                type: array
                                items:
                                  type: string
                              linkedin_urls:
                                type: array
                                items:
                                  type: string
                          excluded_companies:
                            type: object
                            nullable: true
                            properties:
                              domains:
                                type: array
                                items:
                                  type: string
                              linkedin_urls:
                                type: array
                                items:
                                  type: string
                  data:
                    type: object
                    properties:
                      monitor_id:
                        type: string
                        format: uuid
                        description: トリガーされたモニターの識別子。
                      status:
                        type: string
                        description: トリガー実行のステータス。
                      total_signals:
                        type: integer
                        description: 検出されたシグナルの合計数。
                      total_credit:
                        type: integer
                        description: 消費されたクレジットの合計。
                      processing_time_ms:
                        type: integer
                        description: 合計処理時間（ミリ秒）。
                      delivery_result:
                        type: object
                        properties:
                          is_success:
                            type: boolean
                            description: 配信が成功したかどうか。
                          error_message:
                            type: string
                            nullable: true
                            description: 配信失敗時のエラーメッセージ。
                          response_status_code:
                            type: integer
                            description: 配信先からのHTTPステータスコード。
                          response_payload:
                            type: string
                            description: 配信先から返されたレスポンスボディ。
                          retry_attempt:
                            type: integer
                            description: リトライ回数。
                        description: 配信結果の詳細。
              example:
                data:
                  monitor_id: a1b2c3d4-e5f6-7890-abcd-ef1234567890
                  status: success
                  total_signals: 25
                  total_credit: 59
                  processing_time_ms: 99050
                  delivery_result:
                    is_success: true
                    error_message: null
                    response_status_code: 200
                    response_payload: OK
                    retry_attempt: 0
        '400':
          $ref: '#/components/responses/general_error'
        '429':
          $ref: '#/components/responses/rate_limit_error'
        '500':
          $ref: '#/components/responses/server_error'
components:
  responses:
    general_error:
      description: リクエストエラー。リクエストの形式が不正であるか、無効なパラメータが含まれています。エラーコードとメッセージを確認してください。
      content:
        application/json:
          schema:
            required:
              - code
              - message
              - details
            type: object
            properties:
              code:
                example: 40001
                type: integer
              message:
                example: エラーの背景やフィールド単位の情報などを含む追加データオブジェクトです。
                type: string
              details:
                type: object
    rate_limit_error:
      description: レート制限超過。一定期間内に多すぎるリクエストが送信されました。レート制限ウィンドウがリセットされた後に再試行してください。
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: クライアントはしばらく待ってから再試行することが推奨されます。
                type: string
    server_error:
      description: 内部サーバーエラー。サーバーで予期しないエラーが発生しました。エラーが続く場合はサポートにお問い合わせください。
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: レスポンスボディには `error` フィールドが含まれ、問題の概要がメッセージとして記載されます。
                type: string
  securitySchemes:
    pubrio_api_key:
      type: apiKey
      name: pubrio-api-key
      description: >-
        API で実行する操作内容と、その操作に付与された権限を識別するための一意の API トークンです。このトークンはダッシュボードの
        [設定](https://dashboard.pubrio.com/#/settings/) 画面から発行できます。
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.